## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemFallback Class Reference

Inheritance diagram for ElemFallback:

[legend]
Collaboration diagram for ElemFallback:

[legend]
List of all members.

## Public Member Functions

- ElemFallback (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an xsl:fallback element.
- virtual ~ElemFallback ()
- virtual const XalanDOMString & getElementName () const
    Get a string for the name of the element.
- virtual const ElemTemplateElement * startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e.
- virtual const ElemTemplateElement * getNextChildElemToExecute (StylesheetExecutionContext &executionContext, const ElemTemplateElement *currentElem) const
    Returns the next sub-element (i.e.

## Constructor & Destructor Documentation

ElemFallback::ElemFallback | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber
| ) |

  | Construct an object corresponding to an xsl:fallback element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | the attribute list
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemFallback::~ElemFallback | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMString& ElemFallback::getElementName | ( |  | ) | const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Implements ElemTemplateElement.

virtual const ElemTemplateElement* ElemFallback::getNextChildElemToExecute | ( | StylesheetExecutionContext & | executionContext,
|  | const ElemTemplateElement * | currentElem
| ) | const`[virtual]`

  | Returns the next sub-element (i.e. children, attribute-sets, templates) to execute. Parameters:
  executionContext | context to execute element
  currentElem | the last sub-element to be executed
Returns: next sub-element to execute, 0 only if no more sub-elements to execute Reimplemented from ElemTemplateElement.

virtual const ElemTemplateElement* ElemFallback::startElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

  | Completes "pre-processing" before any sub-elements are invoked (i.e. children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element. Parameters:
  executionContext | context to execute this element
Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemFallback.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.